import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.concurrent.ConcurrentSkipListSet;

public class InfinijumperWorld extends World
{
    static double map(double x) { return 750 - x; }
    static int map(int x) { return 750 - x; }    
    
    private int offset = 0;
    public int getOffset() { return offset; }
    
    Player pl;
    
    public final ConcurrentSkipListSet<Platform> csls = new ConcurrentSkipListSet<Platform>();
    
    public static final int sizeModifier = 50;
    
    public InfinijumperWorld()
    {    
        super(sizeModifier*10, sizeModifier*15, 1, false);
        addObject(new Player(), 250, map(750));
        addObject(new Static(), 250, map(400));
        setActOrder(InfinijumperWorld.class, Player.class);
        lastStoppedTime = System.currentTimeMillis();
    }
    
    
    private long timeLost, lastStoppedTime, debugTime;
    public final boolean isDebug = false;
    
    public long getTimeMillis()
    {
        if(isDebug) return debugTime += 10;
        return System.currentTimeMillis() - timeLost;
    }
    
    public void started()
    {
        timeLost += System.currentTimeMillis() - lastStoppedTime;
    }
    
    public void stopped()
    {
        lastStoppedTime = System.currentTimeMillis();
    }
}