import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

abstract public class Platform extends Actor implements Comparable<Platform>
{
    static double map(double x) { return 750 - x; }
    static int map(int x) { return 750 - x; }
    
    @Override protected void addedToWorld(World world)
    {
        yLocation = map(getY()) + 3;
        InfinijumperWorld ijwTemp = (InfinijumperWorld) world;
        if(!ijwTemp.csls.add(this))
            throw new OddDuplicateAddException(this);
    }
    
    protected int width = 47, height = 7;
    
    public int getWidth() { return this.width; }
    public int getHeight() { return this.height; }
    public int getYLocation() { return yLocation; }
    
    protected int yLocation;
    
    public void bounceOff(Player pl)
    {
        pl.reset(this);
    }
    
    public int compareTo(Platform that)
    {
        if(this.yLocation > that.getYLocation())
            return 1;
        else if(this.yLocation < that.getYLocation())
            return -1;
        else return 0;
    }
}

class OddDuplicateAddException extends RuntimeException
{
    Platform p;
    
    OddDuplicateAddException(Platform p)
    {
        this.p = p;
        System.out.println(this.p.getYLocation());
    }
}